{% extends "base.html" %}


{% block title %}
Hamster New
{% endblock %}

{% block heading %}
{% if debug_data['t'] == 'a' %}
  <h1>{{ debug_data['a']   }}</h1>
  {% endif %}
  {% if debug_data['t'] == 'r' %}
  <li><a href="/ui/list?t=b&a={{ debug_data['a'] }}&r={{ i }}" >{{ i }}</a></li>
  {% endif %}
  {% if debug_data['t'] == 'b' %}
  <li>{{ i }}</li>
  {% endif %}
<h1>Result:</h1>
<ol>
  {% for i in result %}
  {% if debug_data['t'] == 'a' %}
  <li><a href="/ui/list?t=r&a={{ i }}" >{{ i }}</a></li>
  {% endif %}
  {% if debug_data['t'] == 'r' %}
  <li><a href="/ui/list?t=b&a={{ debug_data['a'] }}&r={{ i }}" >{{ i }}</a></li>
  {% endif %}
  {% if debug_data['t'] == 'b' %}
  <li>{{ i }}</li>
  {% endif %}
  {% endfor %}
</ol>
{% endblock %}

{% block content %}
<h1>Debug Data</h1>
{{ debug_data }}
{% endblock %}